Subject: Re: linux-next fixes

From: Thierry Reding <[email-masked]>
Date: Mon, 4 Nov 2013 09:38:28 +0100

On Fri, Nov 01, 2013 at 09:15:12AM -0700, Olof Johansson wrote:
> On Nov 1, 2013 8:10 AM, "Randy Dunlap" <[email-masked]> wrote:
> >
> > On 11/01/13 02:36, Thierry Reding wrote:
> > > Hi Stephen,
> > >
> > > There have been some discussions lately revolving around the topic of
> > > linux-next fixes. That is, commits that people come up with over the
> > > course of a day to fix issues found in the latest linux-next trees.
> > >
> > > It's a fact that many people rely on linux-next for everyday work, so
> > > whenever things break in linux-next a lot of people end up chasing the
> > > same bugs and posting the same patches (or not posting them for that
> > > matter).
> > >
> > > A lot of developer time is wasted that way, so I originally proposed
> > > that we could set up a separate linux-next-fixes tree where we collect
> > > patches of interest. I volunteer to do that, since, well, I'm doing it
> > > anyway as part of my daily routine. Timezone-wise it also fits pretty
> > > well, since I usually start my day sometime around when you publish
> > > linux-next.
> > >
> > > If we can establish a canonical location where such fixes are
> > > accumulated, people could fetch those at the same time they fetch the
> > > linux-next tree and automatically get fixes.
> >
> > Stephen has had a location for linux-next fixes for quite some time now --
> > in the linux-next tree itself.
> >
> > Apparently Olof objected to this and you agreed with him.
> > and I object to not having the fixes in the linux-next tree.
> > Maybe Stephen can work it out.  :)
> 
> My main concern was that they stacked up quickly for a while and had no
> patch descriptions in -next. It does make sense to carry some if these
> patches somewhere. Normally we haven't needed many though, and if we do
> then that's a pretty strong indication that people are adding code to their
> for-next that is not yet ready and that should be addressed.

Oh, it would certainly be desirable for such patches to be unnecessary,
but the reality is that this will happen every now and then. Sometimes
this will not even be detectable as build failures. A lot of patches
recently haven't broken the build but instead caused a random board
(that the commit author didn't have access to, or was just too lazy to
test) to no longer boot.

One of the purposes of linux-next is to get early and broad testing,
isn't it? So I don't expect code to be rock-stable when it hits -next.

Thierry